<template>
  <el-dropdown trigger="click" @visible-change="menuClicked">
    <div class="flex justify-between cursor-pointer">
      <div class="p-[2vw] rounded-[1vw]">
        <div class="icon-lang">
          <img
            :src="
              getAssetImage(
                `assets/materials/languageIcon/${defaultLanguage}.svg`
              )
            "
          />
        </div>
      </div>
    </div>
    <template #dropdown>
      <div>
        <el-dropdown-menu class="bg-white dark:bg-gray-700">
          <el-dropdown-item v-for="lang in languages" :key="lang">
            <div
              @click="switchLanguage(lang.ISO)"
              class="flex gap-2 items-center"
            >
              <img
                class="w-[5vw] h-[5vw] rounded-[2px]"
                :src="
                  getAssetImage(`assets/materials/languageIcon/${lang.ISO}.svg`)
                "
              />
              <span class="text-black">{{ lang.LanguageLocalName }}</span>
            </div>
          </el-dropdown-item>
        </el-dropdown-menu>
      </div>
    </template>
  </el-dropdown>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import { useLanguageComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "LanguageComponent",
  setup() {
    const { ...datas } = useLanguageComponent();
    const isVisable = ref(false);
    const menuClicked = (param: boolean) => {
      isVisable.value = param;
    };
    const { getAssetImage } = commonHelper;
    const isMobile = !useIsDesktop();
    return {
      ...datas,
      menuClicked,
      isVisable,
      getAssetImage,
      isMobile,
    };
  },
});
</script>
<style scoped lang="scss">
.icon-lang {
  img {
    height: 16px;
    width: 22px;
    border-radius: 2px;
    object-fit: cover;
  }
  height: 24px;
  width: 24px;
  border-radius: 50%;
}
</style>
<style>
.el-dropdown__popper.el-popper[role="tooltip"] {
  background: var(--background1);
  border: 1px solid var(--background1);
  color: #fff;
  min-width: 151.22px;
}
.el-dropdown__popper.el-popper[role="tooltip"] .el-popper__arrow::before {
  border: 1px solid var(--background1);
}
.el-dropdown-menu__item {
  color: #fff;
}
</style>
